<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\EntityModule;

use App\Http\Controllers\User\BaseController;

class EntityController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$entity = EntityModule::list($request);
    	return $entity;
    }

    public function show(Request $request, $hash_id)
    {
        $entity = EntityModule::show($request, $hash_id);
        return $entity;
    }

    public function store(Request $request)
    {
        $entity = EntityModule::store($request);
        return $entity;
    }

    public function update(Request $request, $hash_id)
    {
        $entity = EntityModule::update($request, $hash_id);
        return $entity;
    }

    public function delete(Request $request, $hash_id)
    {
        $entity = EntityModule::delete($request, $hash_id);
        return $entity;
    }
}
